org.apache.hadoop.yarn.webapp.dao

## Class SchedConfUpdateInfo

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.dao.SchedConfUpdateInfo

-     public class SchedConfUpdateInfo
      extends Object

  Information for making scheduler configuration changes (supports adding, removing, or updating a queue, as well as global scheduler conf changes).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedConfUpdateInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<QueueConfigInfo>` | `getAddQueueInfo()`
    `HashMap<String,String>` | `getGlobalParams()`
    `ArrayList<String>` | `getRemoveQueueInfo()`
    `ArrayList<QueueConfigInfo>` | `getUpdateQueueInfo()`
    `void` | `setAddQueueInfo(ArrayList<QueueConfigInfo> addQueueInfo)`
    `void` | `setGlobalParams(HashMap<String,String> globalInfo)`
    `void` | `setRemoveQueueInfo(ArrayList<String> removeQueueInfo)`
    `void` | `setUpdateQueueInfo(ArrayList<QueueConfigInfo> updateQueueInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedConfUpdateInfo

          public SchedConfUpdateInfo()

  - ### Method Detail

    - #### getAddQueueInfo

          public ArrayList<QueueConfigInfo> getAddQueueInfo()

    - #### setAddQueueInfo

          public void setAddQueueInfo(ArrayList<QueueConfigInfo> addQueueInfo)

    - #### getRemoveQueueInfo

          public ArrayList<String> getRemoveQueueInfo()

    - #### setRemoveQueueInfo

          public void setRemoveQueueInfo(ArrayList<String> removeQueueInfo)

    - #### getUpdateQueueInfo

          public ArrayList<QueueConfigInfo> getUpdateQueueInfo()

    - #### setUpdateQueueInfo

          public void setUpdateQueueInfo(ArrayList<QueueConfigInfo> updateQueueInfo)

    - #### getGlobalParams

          public HashMap<String,String> getGlobalParams()

    - #### setGlobalParams

          public void setGlobalParams(HashMap<String,String> globalInfo)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.